## sudo 1.7.2p7

=== debian/changelog ===
sudo (1.7.2p7-1ubuntu2) maverick; urgency=low

  * SECURITY UPDATE: privilege escalation via '-g' option when using
    'user:group' in Runas_Spec
    - debian/patches/CVE-2010-2956.patch: update match.c to verify both user
      and group match sudoers when using '-g'
    - CVE-2010-2956

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 31 Aug 2010 14:54:06 -0500

sudo (1.7.2p7-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
   - debian/rules:
     - compile with --without-lecture --with-tty-tickets (Ubuntu specific)
     - install man/man8/sudo_root.8 (Ubuntu specific)
     - install apport hooks
   - debian/sudo-ldap.dirs, debian/sudo.dirs: add
     usr/share/apport/package-hooks
   - debian/patches/ubuntu-sudo-as-admin-successful.patch: adjust sudo.c so
     that if the user successfully authenticated and he is in the 'admin'
     group, then create a stamp ~/.sudo_as_admin_successful. Our default bash
     profile checks for this and displays a short intro about sudo if the flag
     is not present
  * Dropped the following, now included upstream:
    - fix for CVE-2010-1163
    - fix for CVE-2010-0426
    - debian/sudo.postinst, debian/sudo-ldap.postinst: update description to
      match behavior in sudoers file
    - don't install init script. Debian moved to /var/lib/sudo from
      /var/run/sudo, so Ubuntu's tmpfs usage won't clean those out
      automatically any more, so we now need the initscript.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 06 Jul 2010 11:43:05 -0500

sudo (1.7.2p7-1) unstable; urgency=high

  * new upstream release with security fix for secure path (CVE-2010-1646),
    closes: #585394
  * move timestamps from /var/run/sudo to /var/lib/sudo, so that the state
    about whether to give the lecture is preserved across reboots even when
    RAMRUN is set, closes: #581393
  * add a note to README.Debian about LDAP needing an entry in 
    /etc/nsswitch.conf, closes: #522065
  * add a note to README.Debian about how to turn off lectures if using
    RAMRUN in /etc/default/rcS, closes: #581393

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Jun 2010 15:42:14 -0600

sudo (1.7.2p6-1) unstable; urgency=low

  * new upstream version fixing CVE-2010-1163, closes: #578275, #570737

 -- Bdale Garbee <bdale@gag.com>  Mon, 19 Apr 2010 10:45:47 -0600

sudo (1.7.2p5-1) unstable; urgency=low

  * new upstream release, closes a bug filed upstream regarding missing man 
    page processing scripts in the 1.7.2p1 tarball, also includes the fix
    for CVE-2010-0426 previously the subject of a security team nmu
  * move to source format 3.0 (quilt) and restructure changes as patches
  * fix unprocessed substitution variables in man pages, closes: #557204
  * apply patch from Neil Moore to fix Debian-specific content in the
    visudo man page, closes: #555013
  * update descriptions to better explain sudo-ldap, closes: #573108
  * eliminate spurious 'and' in man page, closes: #571620
  * fix confusing text in default sudoers, closes: #566607

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Mar 2010 15:44:53 -0700

sudo (1.7.2p1-1ubuntu5) lucid; urgency=low

  * SECURITY UPDATE: properly verify path in find_path.c for the 'sudoedit'
    pseudo-command when running from the current working directory and
    secure_path is disabled
    - CVE-2010-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 07 Apr 2010 15:35:36 -0500

sudo (1.7.2p1-1ubuntu4) lucid; urgency=low

  * env.c: Revert addition of "http_proxy" again. This was an Ubuntu specific
    EBW hack, caused inconsistencies with other proxy variables (such as
    https_proxy and ftp_proxy), made sudo incompatible to upstream
    behaviour/documentation. This is solved in a much better way in apt itself
    and gnome-network-properties now. (LP: #432631)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Mar 2010 18:48:18 +0100

sudo (1.7.2p1-1ubuntu3) lucid; urgency=low

  * debian/sudo.postinst, debian/sudo-ldap.postinst: update description to
    match behaviour in sudoers file. (LP: #534090)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sun, 07 Mar 2010 19:49:39 -0500

sudo (1.7.2p1-1ubuntu2) lucid; urgency=low

  * SECURITY UPDATE: properly verify path for the 'sudoedit' pseudo-command
    in match.c
    - http://sudo.ws/repos/sudo/rev/88f3181692fe
    - CVE-2010-0426

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 24 Feb 2010 16:50:11 -0600

sudo (1.7.2p1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
   - debian/rules: Disable lecture, enable tty_tickets by default. (Ubuntu
     specific)
   - Add debian/sudo_root.8: Explanation of root handling through sudo.
     Install it in debian/rules. (Ubuntu specific)
   - sudo.c: If the user successfully authenticated and he is in the 'admin'
     group, then create a stamp ~/.sudo_as_admin_successful. Our default bash
     profile checks for this and displays a short intro about sudo if the
     flag is not present. (Ubuntu specific)
   - env.c: Add "http_proxy" to initial_keepenv_table, so that it is kept
     for "sudo apt-get ...". (Ubuntu specific EBW hack, should disappear at
     some point)
   - debian/{rules,postinst,sudo-ldap.postinst}: Disable init script
     installation. Debian reintroduced it because /var/run tmpfs is not the
     default there, but has been on Ubuntu for ages.
   - debian/{source_sudo.py,rules,sudo-ldap.dirs,sudo.dirs}: Add apport hook

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 08 Feb 2010 18:47:06 -0500

sudo (1.7.2p1-1) unstable; urgency=low

  * new upstream version
  * add support for /etc/sudoers.d using #includedir in default sudoers, 
    which I think is also a good solution to the request for a crontab-like
    API requested in March of 2001, closes: #539994, #271813, #89743
  * move init.d script from using rcS.d to rc[0-6].d, closes: #542924

 -- Bdale Garbee <bdale@gag.com>  Mon, 31 Aug 2009 14:09:32 -0600

sudo (1.7.2-2) unstable; urgency=low


