## sudo 1.7.4p4

=== debian/changelog ===
sudo (1.7.4p4-2.squeeze.6) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Debian LTS team
  * Disable editing of files via user-controllable symlinks
    (Closes: #804149) (CVE-2015-5602)
    - sudoedit path restriction bypass using symlinks
    - Change warning when user tries to sudoedit a symbolic link
    - Open sudoedit files with O_NONBLOCK and fail if they are not regular files
    - Remove S_ISREG check from sudo_edit_open(), it is already done in the
      caller
    - Add directory writability checks for sudoedit
    - Fix directory writability checks for sudoedit
    - Enable sudoedit directory writability checks by default

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 05 Jan 2016 18:45:35 +0000

sudo (1.7.4p4-2.squeeze.5) squeeze-lts; urgency=medium

  * Properly update manual pages for environment variable handling changes
    made in 1.6.8p12-2
  * Sanity check the TZ environment variable (CVE-2014-9680) (Closes: #772707)
  * Document that a leading ':' is skipped when checking TZ for a
    fully-qualified path name.
  * Fix checking of environment variables specified on the command line
    against env_delete, when env_reset is disabled (CVE-2014-0106)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 27 Feb 2015 15:57:19 +0000

sudo (1.7.4p4-2.squeeze.4) stable-security; urgency=high

  * Fix cve-2013-1775: authentication bypass when the clock is set to the UNIX
    epoch [00:00:00 UTC on 1 January 1970] (closes: #701838).
  * Fix cve-2013-1776: session id hijacking from another authorized tty 
    (closes: #701839).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 06 Mar 2013 18:41:15 +0000

sudo (1.7.4p4-2.squeeze.3) stable-security; urgency=high

  * CVE-2012-2337

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 23 May 2012 17:01:27 +0000

sudo (1.7.4p4-2.squeeze.2) stable; urgency=low

  * patch from upstream to resolve interoperability problem between HOME in
    env_keep and the -H flag, originally closed #596493, applying this to
    to squeeze also closes: #614232

 -- Bdale Garbee <bdale@gag.com>  Sun, 20 Feb 2011 09:35:07 -0700

sudo (1.7.4p4-2.squeeze.1) testing; urgency=low

  * patch from upstream to fix special case in password checking code
    when only the gid is changing, closes #609641

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 Jan 2011 09:08:12 +1000

sudo (1.7.4p4-2) unstable; urgency=low

  * add a NEWS item about change in $HOME handling that impacts programs
    like pbuilder

 -- Bdale Garbee <bdale@gag.com>  Wed, 08 Sep 2010 14:29:16 -0600

sudo (1.7.4p4-1) unstable; urgency=high

  * new upstream version, urgency high due to fix for flaw in Runas group 
    matching (CVE-2010-2956), closes: #595935
  * handle transition of /var/run/sudo to /var/lib/sudo better, to avoid
    re-lecturing existing users, and to clean up after ourselves on upgrade,
    and remove the RAMRUN section from README.Debian since the new state dir
    should fix the original problem, closes: #585514
  * deliver README.Debian to both package flavors, closes: #593579

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 Sep 2010 12:22:42 -0600
