=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 5), libpam0g-dev, libldap2-dev, libsasl2-dev, autotools-dev, bison, flex
-Standards-Version: 3.8.4
+Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, autotools-dev, bison, flex
+Standards-Version: 3.9.1
 
 Package: sudo
 Architecture: any
