=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 	# simple version
 	mkdir -p build-simple
-	cd build-simple && NROFFPROG=/usr/bin/nroff ../configure \
+	cd build-simple && NROFFPROG=/usr/bin/nroff $(CURDIR)/configure \
 		--prefix=/usr -v \
 		--with-all-insults \
 		--with-devel \
@@ -29,7 +29,6 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture --with-tty-tickets \
 		--with-timedir=/var/lib/sudo \
 		--disable-root-mailer \
 		--disable-setresuid \
@@ -40,7 +39,7 @@
 
 	# LDAP version
 	mkdir -p build-ldap
-	cd build-ldap && NROFFPROG=/usr/bin/nroff ../configure \
+	cd build-ldap && NROFFPROG=/usr/bin/nroff $(CURDIR)/configure \
 		--prefix=/usr -v \
 		--with-all-insults \
 		--with-devel \
@@ -54,7 +53,6 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
@@ -70,7 +68,7 @@
 	dh_testdir
 
 	# ensure our pod changes get picked up
-	$(MAKE) -C build-simple sudoers.man.in sudo.man.in visudo.man.in
+	$(MAKE) sudoers.man.in sudo.man.in visudo.man.in
 
 	$(MAKE) -C build-simple
 	$(MAKE) -C build-ldap
@@ -88,7 +86,7 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) -C build-simple install DESTDIR=$(CURDIR)/debian/sudo
@@ -96,7 +94,14 @@
 
 	# remove stuff we don't want
 	rm -f	debian/sudo/etc/sudoers \
-		debian/sudo-ldap/etc/sudoers
+		debian/sudo-ldap/etc/sudoers \
+		debian/sudo/usr/share/doc/sudo/LICENSE* \
+		debian/sudo-ldap/usr/share/doc/sudo/LICENSE*
+
+	# move upstream-installed docs to the right place for ldap package
+	mv	debian/sudo-ldap/usr/share/doc/sudo/* \
+		debian/sudo-ldap/usr/share/doc/sudo-ldap/
+	rmdir	debian/sudo-ldap/usr/share/doc/sudo
 
 	# and install things we do want that make install doesn't know about
 	install -o root -g root -m 0644 debian/sudo.pam \
@@ -109,14 +114,6 @@
 	install -o root -g root -m 0644 debian/sudo-ldap.lintian \
 		debian/sudo-ldap/usr/share/lintian/overrides/sudo-ldap
 
-	install -o root -g root -m 0644 debian/sudo_root.8 \
-		debian/sudo/usr/share/man/man8/sudo_root.8
-
-	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
-		debian/sudo/usr/share/apport/package-hooks/source_sudo.py
-	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
-		debian/sudo-ldap/usr/share/apport/package-hooks/source_sudo.py
-
 	install -o root -g root -m 0440 debian/README \
 		debian/sudo/etc/sudoers.d/README
 	install -o root -g root -m 0440 debian/README \
@@ -127,10 +124,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
-	dh_installexamples -A sudoers
+	dh_installdocs -A
+	dh_installexamples -A sample.sudoers
 	dh_installinit -psudo -psudo-ldap --name=sudo
-	dh_installman
+	dh_installman -A
 	dh_installinfo -A
 	dh_installchangelogs ChangeLog 
 	dh_strip
