## sudo 1.7.4p6

=== debian/changelog ===
sudo (1.7.4p6-1ubuntu2) oneiric; urgency=low

  * debian/patches/enable_badpass.patch: turn on "mail_badpass" by default:
    - attempting sudo without knowing a login password is as bad as not
      being listed in the sudoers file, especially if getting the password
      wrong means doing the access-check-email-notification never happens
      (Closes: 641218).

 -- Kees Cook <kees@ubuntu.com>  Sun, 11 Sep 2011 10:29:08 -0700

sudo (1.7.4p6-1ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable, remaining changes:
    - debian/patches/keep_home_by_default.patch: 
      + Set HOME in initial_keepenv_table. 
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets (Ubuntu specific)
      + install man/man8/sudo_root.8 (Ubuntu specific)
      + install apport hooks
    - debian/sudoers: 
      + grant admin group sudo access
    - debian/sudo-ldap.dirs, debian/sudo.dirs: 
      + add usr/share/apport/package-hooks
  * drop debian/patches/CVE-2011-0010.patch, applied upstream now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 May 2011 09:50:37 +0200

sudo (1.7.4p6-1) unstable; urgency=low

  * new upstream version
  * touch the right stamp name after configuring, closes: #611287
  * patch from Svante Signell to fix build problem on Hurd, closes: #611290

 -- Bdale Garbee <bdale@gag.com>  Wed, 09 Feb 2011 11:32:58 -0700

sudo (1.7.4p4-6) unstable; urgency=low

  * update /etc/sudoers.d/README now that sudoers is a conffile
  * patch from upstream to fix special case in password checking code
    when only the gid is changing, closes: #609641

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Jan 2011 10:22:39 -0700

sudo (1.7.4p4-5ubuntu8) oneiric; urgency=low

  * debian/sudo.preinst:
    - if well-known ec2 vmbuilder file is found, write a file in
      sudoers.d for the 'ubuntu' user (LP: #768625)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 21 Apr 2011 18:04:34 -0400

sudo (1.7.4p4-5ubuntu7) natty; urgency=low

  * debian/sudo.preinst:
    - do not consider the ec2 vmbuilder default sudoers file
      verbatim as its actually customized (LP: #761689)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 16:40:10 +0200

sudo (1.7.4p4-5ubuntu6) natty; urgency=low

  * debian/patches/keep_home_by_default.patch: Set HOME in
    initial_keepenv_table.  LP: #760140

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Apr 2011 12:32:25 -0700

sudo (1.7.4p4-5ubuntu5) natty; urgency=low

  * debian/sudo.preinst:
    - avoid conffile prompt by checking for known default /etc/sudoers
      and if found installing the correct default /etc/sudoers file
      (LP: #690873)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Mar 2011 09:13:43 +0100

sudo (1.7.4p4-5ubuntu4) natty; urgency=low

  * debian/rules: The ubuntu-sudo-as-admin-successful.patch was taken
    upstream by Debian however it requires a --enable-admin-flag configure
    flag to actually enable it.
    (LP: #706045)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 10 Feb 2011 12:01:53 -0800

sudo (1.7.4p4-5ubuntu3) natty; urgency=low

  * SECURITY UPDATE: privilege escalation via -g when using group Runas_List
    - debian/patches/CVE-2011-0010.patch: prompt for password when the user is
      running sudo as himself but as a different group
    - CVE-2011-0010

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 18 Jan 2011 16:37:09 -0600

sudo (1.7.4p4-5ubuntu2) natty; urgency=low

  * debian/sudoers: temporarily workaround LP #690873 by adding %admin
    into the default sudoers file in case people just say "yes" to the
    dpkg conffile prompt.

 -- Kees Cook <kees@ubuntu.com>  Wed, 15 Dec 2010 15:38:17 -0800

sudo (1.7.4p4-5ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #689025), remaining changes:
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets (Ubuntu specific)
      + install man/man8/sudo_root.8 (Ubuntu specific)
      + install apport hooks
    - debian/sudo-ldap.dirs, debian/sudo.dirs: add
      usr/share/apport/package-hooks
  * This upload also fixes: LP: #609645

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 15 Dec 2010 21:32:57 +0100

sudo (1.7.4p4-5) unstable; urgency=low

  * patch from Jakub Wilk to add noopt and nostrip build option support,
    closes: #605580
  * make sudoers a conffile, closes: #605130
  * add descriptions to LSB init headers, closes: #604619
  * change default sudoers %sudo entry to allow gid changes, closes: #602699
  * add Vcs entries to the control file
  * use debhelper install files instead of explicit installs in rules

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Dec 2010 20:32:31 -0700

sudo (1.7.4p4-4) unstable; urgency=low

  * patch from upstream to resolve problem always prompting for a password
    when run without a tty, closes: #599376
  * patch from upstream to resolve interoperability problem between HOME in
    env_keep and the -H flag, closes: #596493
  * change path syntax to avoid tar error when /var/run/sudo exists but is
    empty, closes: #598877

 -- Bdale Garbee <bdale@gag.com>  Thu, 07 Oct 2010 15:59:06 -0600

sudo (1.7.4p4-3) unstable; urgency=low

  * make postinst clause for handling /var/run -> /var/lib transition less
    fragile, closes: #585514
  * cope with upstream's Makefile trying to install ChangeLog in our doc
    directory, closes: #597389
  * fix README.Debian to reflect that HOME is no longer preserved by default,
    closes: #596847

 -- Bdale Garbee <bdale@gag.com>  Tue, 21 Sep 2010 23:53:08 -0600

sudo (1.7.2p7-1ubuntu3) natty; urgency=low

  * No-change upload to drop sizable upstream changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Nov 2010 11:24:33 +0100
