=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,11 @@
 
 export DH_VERBOSE=1
 
-CFLAGS = -O2 -Wall -Wno-comment
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -g
+CFLAGS = -Wall -Wno-comment -g
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -O0
+else
+    CFLAGS += -O2
 endif
 export CFLAGS
 
@@ -29,9 +31,11 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
+		--without-lecture --with-tty-tickets \
 		--with-timedir=/var/lib/sudo \
 		--disable-root-mailer \
 		--disable-setresuid \
+		--enable-admin-flag \
 		--with-sendmail=/usr/sbin/sendmail \
 		--mandir=/usr/share/man \
 		--libexecdir=/usr/lib/sudo \
@@ -53,6 +57,7 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
+		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
@@ -61,7 +66,7 @@
 		--libexecdir=/usr/lib/sudo \
 		--with-secure-path="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin"
 
-	touch config-stamp
+	touch configure-stamp
 
 build: build-stamp
 build-stamp: configure-stamp
@@ -78,7 +83,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f config-stamp build-stamp
+	rm -f configure-stamp build-stamp
 	rm -rf build-simple build-ldap
 	rm -f config.cache
 	dh_clean
@@ -93,10 +98,9 @@
 	$(MAKE) -C build-ldap   install DESTDIR=$(CURDIR)/debian/sudo-ldap
 
 	# remove stuff we don't want
-	rm -f	debian/sudo/etc/sudoers \
-		debian/sudo-ldap/etc/sudoers \
-		debian/sudo/usr/share/doc/sudo/LICENSE* \
-		debian/sudo-ldap/usr/share/doc/sudo/LICENSE*
+	rm -f	debian/sudo*/etc/sudoers \
+		debian/sudo*/usr/share/doc/sudo/LICENSE* \
+		debian/sudo*/usr/share/doc/sudo/ChangeLog
 
 	# move upstream-installed docs to the right place for ldap package
 	mv	debian/sudo-ldap/usr/share/doc/sudo/* \
@@ -113,6 +117,19 @@
 		debian/sudo/usr/share/lintian/overrides/sudo
 	install -o root -g root -m 0644 debian/sudo-ldap.lintian \
 		debian/sudo-ldap/usr/share/lintian/overrides/sudo-ldap
+
+	install -o root -g root -m 0644 debian/sudo_root.8 \
+		debian/sudo/usr/share/man/man8/sudo_root.8
+
+	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
+		debian/sudo/usr/share/apport/package-hooks/source_sudo.py
+	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
+		debian/sudo-ldap/usr/share/apport/package-hooks/source_sudo.py
+
+	install -o root -g root -m 0440 debian/sudoers \
+		debian/sudo/etc/sudoers
+	install -o root -g root -m 0440 debian/sudoers \
+		debian/sudo-ldap/etc/sudoers
 
 	install -o root -g root -m 0440 debian/README \
 		debian/sudo/etc/sudoers.d/README
