## sudo 1.8.3p1

=== debian/changelog ===
sudo (1.8.3p1-3) unstable; urgency=low

  * patch from Moritz Muehlenhoff enables hardened build flags, closes: #655417
  * replacement postinst script from Mike Beattie using shell instead of Perl
  * include systemd service file from Michael Stapelberg, closes: #639633
  * add init.d status support, closes: #641782
  * make sudo-ldap package manage a sudoers entry in nsswitch.conf,
    closes: #610600, #639530
  * enable mail_badpass in the default sudoers file, closes: #641218
  * enable selinux support, closes: #655510

 -- Bdale Garbee <bdale@gag.com>  Wed, 11 Jan 2012 16:18:13 -0700

sudo (1.8.3p1-2) unstable; urgency=low

  * if upgrading from squeeze, and the sudoers file is unmodified, avoid
    the packaging system prompting the user about a change they didn't make
    now that sudoers is a conffile, closes: #612532, #636049
  * add a recommendation for the use of visudo to the sudoers.d/README file,
    closes: #648104

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Nov 2011 16:27:13 -0700

sudo (1.8.3p1-1) unstable; urgency=low

  * new upstream version, closes: #646478

 -- Bdale Garbee <bdale@gag.com>  Thu, 27 Oct 2011 01:03:44 +0200

sudo (1.8.3-1) unstable; urgency=low

  * new upstream version, closes: #639391, #639568

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 Oct 2011 23:49:16 -0600

sudo (1.8.2-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/rules improvements, closes: #642535
    + mv upstream sample.* files to the examples folder.
    - do not call dh_installexamples.

  [ Bdale Garbee ]
  * patch from upstream for SIGBUS on sparc64, closes: #640304
  * use common-session-noninteractive in the pam config to reduce log noise
    when sudo is used in cron, etc, closes: #519700
  * patch from Steven McDonald to fix segfault on startup under certain
    conditions, closes: #639568
  * add a NEWS entry regarding the secure_path change made in 1.8.2-1, 
    closes: #639336

 -- Bdale Garbee <bdale@gag.com>  Mon, 26 Sep 2011 21:55:56 -0600

sudo (1.8.2-1) unstable; urgency=low

  * new upstream version, closes: #637449, #621830
  * include common-session in pam config, closes: #519700, #607199
  * move secure_path from configure to default sudoers, closes: #85123, 85917
  * improve sudoers self-documentation, closes: #613639
  * drop --disable-setresuid since modern systems should not run 2.2 kernels
  * lose the --with-devel configure option since it's breaking builds in
    subdirectories for some reason

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 Aug 2011 13:33:11 -0600
