=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,10 @@
 
 export DH_VERBOSE=1
 
-CFLAGS = -Wall -Wno-comment -g
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
-export CFLAGS
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall -Wno-comment
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 configure: configure-stamp
 configure-stamp:
@@ -18,10 +15,11 @@
 
 	# simple version
 	mkdir -p build-simple
-	cd build-simple && NROFFPROG=/usr/bin/nroff $(CURDIR)/configure \
+	cd build-simple && NROFFPROG=/usr/bin/nroff CFLAGS="$(CFLAGS)" \
+	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		--prefix=/usr -v \
 		--with-all-insults \
-		--with-devel \
+		--with-selinux \
 		--with-pam \
 		--with-fqdn \
 		--with-logging=syslog \
@@ -31,22 +29,18 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture --with-tty-tickets \
+		--disable-root-mailer \
+		--with-sendmail=/usr/sbin/sendmail \
 		--with-timedir=/var/lib/sudo \
-		--disable-root-mailer \
-		--disable-setresuid \
-		--enable-admin-flag \
-		--with-sendmail=/usr/sbin/sendmail \
 		--mandir=/usr/share/man \
-		--libexecdir=/usr/lib/sudo \
-		--with-secure-path="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin"
+		--libexecdir=/usr/lib/sudo
 
 	# LDAP version
 	mkdir -p build-ldap
-	cd build-ldap && NROFFPROG=/usr/bin/nroff $(CURDIR)/configure \
+	cd build-ldap && NROFFPROG=/usr/bin/nroff CFLAGS="$(CFLAGS)" \
+	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		--prefix=/usr -v \
 		--with-all-insults \
-		--with-devel \
 		--with-pam \
 		--with-ldap \
 		--with-fqdn \
@@ -57,7 +51,6 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
@@ -68,15 +61,19 @@
 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 
 	# ensure our pod changes get picked up
-	$(MAKE) sudoers.man.in sudo.man.in visudo.man.in
+	$(MAKE) -C doc sudoers.man.in sudo.man.in visudo.man.in
 
 	$(MAKE) -C build-simple
 	$(MAKE) -C build-ldap
+
+	$(MAKE) -C build-simple check
 
 	touch build-stamp
 
@@ -107,6 +104,12 @@
 		debian/sudo-ldap/usr/share/doc/sudo-ldap/
 	rmdir	debian/sudo-ldap/usr/share/doc/sudo
 
+	# move sample files to the examples folder
+	mv	debian/sudo/usr/share/doc/sudo/sample.* \
+		debian/sudo/usr/share/doc/sudo/examples/
+	mv	debian/sudo-ldap/usr/share/doc/sudo-ldap/sample.* \
+		debian/sudo-ldap/usr/share/doc/sudo-ldap/examples/
+
 	# and install things we do want that make install doesn't know about
 	install -o root -g root -m 0644 debian/sudo.pam \
 		debian/sudo/etc/pam.d/sudo
@@ -118,14 +121,6 @@
 	install -o root -g root -m 0644 debian/sudo-ldap.lintian \
 		debian/sudo-ldap/usr/share/lintian/overrides/sudo-ldap
 
-	install -o root -g root -m 0644 debian/sudo_root.8 \
-		debian/sudo/usr/share/man/man8/sudo_root.8
-
-	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
-		debian/sudo/usr/share/apport/package-hooks/source_sudo.py
-	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
-		debian/sudo-ldap/usr/share/apport/package-hooks/source_sudo.py
-
 	install -o root -g root -m 0440 debian/sudoers \
 		debian/sudo/etc/sudoers
 	install -o root -g root -m 0440 debian/sudoers \
@@ -136,13 +131,17 @@
 	install -o root -g root -m 0440 debian/README \
 		debian/sudo-ldap/etc/sudoers.d/README
 
+	install -o root -g root -m 0644 debian/sudo.service \
+		debian/sudo/lib/systemd/system/sudo.service
+	install -o root -g root -m 0644 debian/sudo.service \
+		debian/sudo-ldap/lib/systemd/system/sudo.service
+
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs -A
-	dh_installexamples -A sample.sudoers
 	dh_installinit -psudo -psudo-ldap --name=sudo
 	dh_installman -A
 	dh_installinfo -A
@@ -161,4 +160,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: configure build clean binary-indep binary-arch binary install
+.PHONY: configure build-indep build-arch build clean binary-indep binary-arch binary install
