## sudo 1.8.3p2

=== debian/changelog ===
sudo (1.8.3p2-1) unstable; urgency=high

  * new upstream version, closes: #657985 (CVE-2012-0809)
  * patch from Pino Toscano to only use selinux on Linux, closes: #655894

 -- Bdale Garbee <bdale@gag.com>  Mon, 30 Jan 2012 16:11:54 -0700
