=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev, autotools-dev, bison, flex
+Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autotools-dev, bison, flex
 Standards-Version: 3.9.2
 Vcs-Git: git://git.gag.com/debian/sudo
 Vcs-Browser: http://git.gag.com/?p=debian/sudo
