=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 CFLAGS += -Wall -Wno-comment
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+  configure_args += --with-selinux
+endif
 
 configure: configure-stamp
 configure-stamp:
@@ -19,7 +24,6 @@
 	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		--prefix=/usr -v \
 		--with-all-insults \
-		--with-selinux \
 		--with-pam \
 		--with-fqdn \
 		--with-logging=syslog \
@@ -33,7 +37,8 @@
 		--with-sendmail=/usr/sbin/sendmail \
 		--with-timedir=/var/lib/sudo \
 		--mandir=/usr/share/man \
-		--libexecdir=/usr/lib/sudo
+		--libexecdir=/usr/lib/sudo \
+		$(configure_args)
 
 	# LDAP version
 	mkdir -p build-ldap
