## sudo 1.8.5p2

=== debian/changelog ===
sudo (1.8.5p2-1+nmu3+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-1000368: Todd Miller's sudo version 1.8.20p1 and earlier is
    vulnerable to an input validation (embedded newlines) in the
    get_process_ttyname() function resulting in information disclosure and
    command execution.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 29 Jun 2017 15:50:30 -0400

sudo (1.8.5p2-1+nmu3+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload
  * Fix a problem finding the tty name when it is not in /dev/pts.  (Also
    needed to avoid a file descriptor leak in the following fix.)
  * Fix parsing of /proc/pid/stat on Linux when the process name contains
    spaces (CVE-2017-1000367)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 30 May 2017 22:20:15 +0100

sudo (1.8.5p2-1+nmu3+deb7u2) wheezy-security; urgency=medium

  * LTS Team upload.
  * Fix noexec bypass via system() and popen() (CVE-2016-7032)
  * Fix noexec bypass via wordexp() (CVE-2016-7076) (Closes: #842507)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 11 Nov 2016 15:52:14 +0100

sudo (1.8.5p2-1+nmu3+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload
  * Fix CVE-2014-9680-{1,2}.patch to edit sudoers.pod, not just the
    generated docs
  * Disable editing of files via user-controllable symlinks
    (Closes: #804149) (CVE-2015-5602)
    - sudoedit path restriction bypass using symlinks
    - Change warning when user tries to sudoedit a symbolic link
    - Open sudoedit files with O_NONBLOCK and fail if they are not regular files
    - Remove S_ISREG check from sudo_edit_open(), it is already done in the
      caller
    - Add directory writability checks for sudoedit
    - Fix directory writability checks for sudoedit
    - Enable sudoedit directory writability checks by default

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 05 Jan 2016 18:48:03 +0000

sudo (1.8.5p2-1+nmu3) wheezy; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Backport from 1.8.7-1: "recognize lenny and squeeze unmodified sudoers" to
    avoid dpkg questions about modified conffiles on upgrades to wheezy.
    (Closes: #660594)
  * *.preinst: Recognize the unmodified /etc/sudoers from sudo-ldap/lenny.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Apr 2015 21:22:34 +0200

sudo (1.8.5p2-1+nmu2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-9680-1.patch patch.
    CVE-2014-9680: unsafe handling of TZ environment variable. (Closes: #772707)
  * Add CVE-2014-9680-2.patch patch.
    Documents that a leading ':' is skipped when checking TZ for a
    fully-qualified path name.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Feb 2015 16:54:59 +0100

sudo (1.8.5p2-1+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2013-1775: authentication bypass when the clock is set to the UNIX
    epoch [00:00:00 UTC on 1 January 1970] (closes: #701838).
  * Fix cve-2013-1776: session id hijacking from another authorized tty
    (closes: #701839).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 01 Mar 2013 03:26:37 +0000

sudo (1.8.5p2-1) unstable; urgency=low

  * new upstream version
  * patch to use flock on hurd, run autoconf in rules, closes: #655883
  * patch to avoid calling unlink with null pointer on hurd, closes: #655948
  * patch to actually use hardening build flags, closes: #655417
  * fix sudo-ldap.postinst syntax issue, closes: #669576

 -- Bdale Garbee <bdale@gag.com>  Thu, 28 Jun 2012 12:01:37 -0600
