=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autotools-dev, bison, flex
-Standards-Version: 3.9.2
-Vcs-Git: git://git.gag.com/debian/sudo
-Vcs-Browser: http://git.gag.com/?p=debian/sudo
+Build-Depends: debhelper (>= 7), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/collab-maint/sudo.git -b wheezy
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sudo.git
 
 Package: sudo
 Architecture: any
