=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,14 @@
   configure_args += --with-selinux
 endif
 
+reconf-stamp:
+	cp -f /usr/share/misc/config.sub config.sub
+	cp -f /usr/share/misc/config.guess config.guess
+	autoconf -I m4
+	touch $@
+
 configure: configure-stamp
-configure-stamp:
+configure-stamp: reconf-stamp
 	dh_testdir
 	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.guess config.guess
